import java.awt.*;
import java.awt.event.*;
import java.util.*;
import java.awt.geom.*; 
import javax.swing.*; 
import javax.swing.event.*;


/**
 * Clase que maneja los eventos relacionados 
 * con los botones de Accin y Figuras.
 */
public class ButtonHandler implements ActionListener
{

/**
 * Chequea la seleccin para dibujar un Circulo.
 */
 private static boolean checkCircle;
/**
 * Chequea la seleccin para dibujar un Rectngulo.
 */
 private static boolean checkRect;
/**
 * Chequea la seleccin para dibujar un Polyline.
 */
 private static boolean checkPoly;
/**
 * Chequea la seleccin para hacer una Traslacin.
 */
 private static boolean checkTrans;
/**
 * Chequea la seleccin para hacer una Rotacin.
 */
 private static boolean checkRot;
/**
 * Chequea la seleccin para hacer un Escalamiento.
 */
 private static boolean checkScale;
 
 //Constructor
/**
 * Constructor vacio. Solo para usar sus mtodos.
 */
 public ButtonHandler()
 {
 }
 
 //Metodos 

/**
 * Implementa actionPerformed para detectar un click sobre un botn.
 * Segn el Action Command del botn seleccionado se configuran apropiadamente
 * las variables booleanas comprometidas.
 * @param e El evento interceptado. Ocurre al oprimir un botn.
 */
 public void actionPerformed(ActionEvent e)
 {
   if ("Rotar".equals(e.getActionCommand()))
   {
   checkCircle = false; checkRect = false;
   checkPoly = false; checkTrans = false;
   checkRot = true; checkScale = false; }
   else if ("Trasladar".equals(e.getActionCommand()))
   {
   checkCircle = false; checkRect = false;
   checkPoly = false; checkTrans = true;
   checkRot = false; checkScale = false; }
   else if ("Escalar".equals(e.getActionCommand()))
   {
   checkCircle = false; checkRect = false;
   checkPoly = false; checkTrans = false;
   checkRot = false; checkScale = true; }
   else if ("Circulo".equals(e.getActionCommand()))
   {
   checkCircle = true; checkRect = false;
   checkPoly = false; checkTrans = false;
   checkRot = false; checkScale = false; }
   else if ("Rectangulo".equals(e.getActionCommand()))
   {
   checkCircle = false; checkRect = true;
   checkPoly = false; checkTrans = false;
   checkRot = false; checkScale = false; }
   else if ("Polyline".equals(e.getActionCommand()))
   {
   checkCircle = false; checkRect = false;
   checkPoly = true; checkTrans = false;
   checkRot = false; checkScale = false; }
   else
   {
   checkCircle = false; checkRect = false;
   checkPoly = false; checkTrans = false;
   checkRot = false; checkScale = false; }
  }

/**
 * Retorna un string segn qu Figura se escogi dibujar.
 * @return La <tt>inicial</tt> de la Figura a dibujar.
 */
  public static String whichToDraw ()
  {
  if (checkCircle) return "C";
  else if (checkRect) return "R";
  else if (checkPoly) return "P";
  else return null;
  }

/**
 * Retorna un string segn qu Accin se escogi realizar.
 * @return La <tt>inicial</tt> de la Accin a efectuar.
 */
  public static String whatToDo ()
  {
  if (checkTrans) return "T";
  else if (checkRot) return "R";
  else if (checkScale) return "S";
  else return "N";
  }

}
