import java.awt.*;
import java.awt.event.*;
import java.util.*;
import java.awt.geom.*; 
import javax.swing.*; 
import javax.swing.event.*;

/**
 * Clase tipo Panel que define el panel de Acciones
 * @author Juan Pablo Carvallo B.
 */  
public class PanelAcciones extends JPanel
{
 
 //Atributos
/**
 * Boton para activar Rotacion
 */
  private Botones rotateButton = new Botones("Rotar", "imagerot.gif");
/**
 * Boton para activar Traslacion
 */
  private Botones translateButton = new Botones("Trasladar", "imagetrans.gif");
/**
 * Boton para activar Escalamiento
 */
  private Botones scaleButton = new Botones("Escalar", "imagescale.gif");
/**
 * Grupo para agrupar Botones
 */
  private ButtonGroup grupo;
/** 
 * Escucha eventos opresin de Botones
 */
  private ButtonHandler listener = new ButtonHandler();
  
  private final int dWidth = 190;
  private final int dHeight = 245;
  private final int red = 20;
  private final int green = 160;
  private final int blue = 220;
 
 //Constructor
 /** 
 * Constructor. Crea el panel con Botones de Accion
 */
 public PanelAcciones()
 {
   setOpaque(true);
   setBorder(BorderFactory.createLineBorder(Color.black));
   setBackground(new Color(red, green, blue));
   grupo = PanelFiguras.getGroup();
   grupo.add(rotateButton);
   grupo.add(translateButton);
   grupo.add(scaleButton);
   add(rotateButton); 
   add(translateButton);
   add(scaleButton);
   
   rotateButton.addActionListener(listener);
   translateButton.addActionListener(listener);
   scaleButton.addActionListener(listener);
 }

  //Mtodos
/**
 * Retorna tamao mnimo preferido, que se ha hecho igual al preferido.
 * @return el <tt>tamao preferido</tt>.
 */
 public Dimension getMinimumSize()
 {
    return getPreferredSize();
 }
 
/**
 * Retorna tamao preferido, que se ha hecho igual al preferido.
 * @return el <tt>tamao preferido</tt>.
 */
 public Dimension getPreferredSize()
 {
    return new Dimension (dWidth, dHeight);
 }
 
/**
 * Retorna tamao mximo preferido, que se ha hecho igual al preferido.
 * @return el <tt>tamao preferido</tt>.
 */
 public Dimension getMaximumSize()
 {
    return getPreferredSize();
 }
 
}
